using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace Test
{
    public partial class Form1 : Form
    {
        private OleDbConnection connection;
        private OleDbCommand selectCommand;
        private OleDbDataReader reader;
        private int minPlata = 0;
        private int maxPlata = 0;
        
        public Form1()
        {
            InitializeComponent();

            try
            {

                connection = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\My documents\faks\VI semestar\tehnike vizuelnog programiranja\vezbe\11. vezba\Test\Test\PREDUZECE.mdb");
                selectCommand = new OleDbCommand();
                selectCommand.Connection = connection;
                selectCommand.CommandText = "select * from RADNIK where (PLATA >= ? AND PLATA <= ? )";
                selectCommand.Parameters.Add("minPlata", OleDbType.Integer);
                selectCommand.Parameters.Add("maxPlata", OleDbType.Integer);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void buttonPrikaz_Click(object sender, EventArgs e)
        {
            connection.Open();
            String rez = "";
            listBox1.Items.Clear();
            
            
            try
            {
                minPlata= int.Parse(textBoxMin.Text);  
                maxPlata = int.Parse(textBoxMax.Text);
            }
            catch (FormatException ex)
            {
                MessageBox.Show("Greska pri konverziji!!");
            }

            
            if (connection.State == ConnectionState.Open)
            {

                try
                {
                    selectCommand.Parameters["minPlata"].Value = minPlata;
                    selectCommand.Parameters["maxPlata"].Value = maxPlata;

                    reader = selectCommand.ExecuteReader();

                    while (reader.Read())
                    {
                        rez = reader.GetString(1)+"  "+reader.GetString(2)+"  "+reader.GetInt32(7);
                        listBox1.Items.Add(rez);
                    }
                    reader.Close();
                }
                catch(Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }
            connection.Close();

        }
    }
}