using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace Vezba11
{
    public partial class Form1 : Form
    {
        private OleDbConnection connection;
        private OleDbDataReader reader;
        private OleDbCommand selectCommand;
        private OleDbCommand insertCommand;
        //private DataSetPREDUZECE ds = new DataSetPREDUZECE();
        public Form1()
        {
            InitializeComponent();

            try
            {

                connection = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\My documents\faks\VI semestar\tehnike vizuelnog programiranja\vezbe\12. vezba\PREDUZECE.mdb");
                selectCommand = new OleDbCommand();
                selectCommand.Connection = connection;

                insertCommand = new OleDbCommand();
                insertCommand.Connection = connection;
                insertCommand.CommandText = "insert into ODELJENJE values(?,?,?)";
                insertCommand.Parameters.Add("brod", OleDbType.Integer);
                insertCommand.Parameters.Add("ime", OleDbType.VarChar);
                insertCommand.Parameters.Add("mesto", OleDbType.VarChar);

            }
            catch (Exception e)
            {
                MessageBox.Show(e.ToString());
            }

        }

        private void Select()
        {
            string rez = "";
            if (connection.State == ConnectionState.Open)
            {
                selectCommand.CommandText = "select BROD, IMEOD from odeljenje";
                reader = selectCommand.ExecuteReader();

                while (reader.Read())
                {
                    rez = reader.GetInt32(0) + " " + reader.GetString(1);
                    listBox1.Items.Add(rez);
                }
                reader.Close();
            }

        }
        private void Insert()
        {
            if (connection.State == ConnectionState.Open)
            {
                insertCommand.Parameters["brod"].Value = int.Parse(textBrod.Text);
                insertCommand.Parameters["ime"].Value = textIme.Text;
                insertCommand.Parameters["mesto"].Value = textIme.Text;

                insertCommand.ExecuteNonQuery();
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dataSetPREDUZECE.ODELJENJE' table. You can move, or remove it, as needed.
            this.oDELJENJETableAdapter.Fill(this.dataSetPREDUZECE.ODELJENJE);
            // TODO: This line of code loads data into the 'dataSetPREDUZECE.ODELJENJE' table. You can move, or remove it, as needed.
            //this.oDELJENJETableAdapter.Fill(this.dataSetPREDUZECE.ODELJENJE);
            // TODO: This line of code loads data into the 'dataSetPREDUZECE1.RADNIK' table. You can move, or remove it, as needed.

            try
            {

                connection.Open();
                Select();
                connection.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            listBox1.Items.Clear();
            this.Form1_Load(sender, e);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {

                connection.Open();
                Insert();
                connection.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

            textIme.Clear();
            textMesto.Clear();
            textBrod.Clear();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.oDELJENJETableAdapter.Update(this.dataSetPREDUZECE.ODELJENJE);
        }        
    }
}